use std::sync::Arc;

use crate::config;

#[derive(Debug)]
pub struct State {
    pub sections: Vec<config::Section>,
}

impl State {
    pub const fn new(sections: Vec<config::Section>) -> Self {
        Self { sections }
    }

    pub fn new_shared(sections: Vec<config::Section>) -> SharedState {
        SharedState::new(Self::new(sections))
    }
}

pub type SharedState = Arc<State>;
