// @ts-check
import { defineConfig } from "astro/config";
import compressor from "astro-compressor";

const assets_dir = "_assets";

// https://astro.build/config
export default defineConfig({
  integrations: [compressor()],
  build: {
    format: "preserve",
    assets: assets_dir,
  },
  vite: {
    assetsInclude: ["src/assets/**/*"],
    build: {
      assetsInlineLimit: 0,
      rollupOptions: {
        output: {
          assetFileNames: `${assets_dir}/[hash:16][extname]`,
          entryFileNames: `${assets_dir}/[hash:16].js`,
        },
      },
    },
  },
});
