{
  fetchYarnDeps,
  yarnConfigHook,
  yarnBuildHook,
  nodejs,
  configFile ? null,
  lib,
  stdenv,
  ...
}:

stdenv.mkDerivation (
  finalAttrs:
  {
    pname = "nicomem.com";
    version = "0.1.0";

    src = ./.;

    yarnOfflineCache = fetchYarnDeps {
      yarnLock = finalAttrs.src + "/yarn.lock";
      hash = "sha256-ZIdb//iSyxJI4t1wzdWNza85eKQXj0cKb2PNsAf+8O8=";
    };

    nativeBuildInputs = [
      yarnConfigHook
      yarnBuildHook
      # Needed for executing package.json scripts
      nodejs
    ];

    installPhase = ''
      mkdir $out
      cp -r dist $out/static
    '';
  }
  // (lib.optionalAttrs (configFile != null) {
    preBuildPhases = [ "preBuildPhase" ];
    preBuildPhase = ''
      cp ${configFile} config.json
    '';
  })
)
