import type { PublicSection } from "@src/types/config";
import type { WithRequired } from "@src/types/utils";

export const hasProtection = (
  s: PublicSection
): s is WithRequired<PublicSection, "protection"> => {
  return s.protection !== undefined;
};

export const hasNoProtection = (
  s: PublicSection
): s is Omit<PublicSection, "protection"> => {
  return s.protection === undefined;
};
